Delete
curl --request DELETE \
--url https://api.ngrok.com/ip_policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/ip_policies/{id}"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/ip_policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
IP Policies
Delete
Delete an IP policy. If the IP policy is referenced by another object for the purposes of traffic restriction it will be treated as if the IP policy remains but has zero rules.
DELETE
/
ip_policies
/
{id}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
a resource identifier
Response
204
Delete an IP policy. If the IP policy is referenced by another object for the purposes of traffic restriction it will be treated as if the IP policy remains but has zero rules.
Was this page helpful?
⌘I